import { builtinModules } from "module"
import ts from "rollup-plugin-ts"
import json from "@rollup/plugin-json"
import { dependencies } from "./package.json"

/** @returns {import("rollup").RollupOptions} */
export default () => ({
  input: "./src/index.ts",
  external: builtinModules.concat(Object.keys(dependencies)),
  output: {
    file: "lib/index.js",
    format: "cjs",
  },
  plugins: [ts(), json()],
})
